Bug 102284 - RFE: Speed and Duplex
Summary: RFE: Speed and Duplex
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: 87718
TreeView+ depends on / blocked
 
Reported: 2003-08-13 14:01 UTC by Joseph Harnish
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 11:08:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joseph Harnish 2003-08-13 14:01:07 UTC
It would be really nice to be able to set the network speed and duplex on a 
network card from inside redhat-config-network instead of manually 
editing /etc/modules.conf.

Thanks

Joe

Comment 1 Peter van Egdom 2003-08-16 20:04:01 UTC
Agree.

Comment 2 Harald Hoyer 2003-09-01 14:47:05 UTC
true..

Comment 3 Michael Lee Yohe 2003-11-04 16:59:05 UTC
This would be highly useful except that each module has a differing
set of options that trigger things like duplex and network card speed.
 For example, the place where I work has some really buggy switches. 
Auto-negotiate mode (default) cause throughput to drop to a 10th or
25th of what it should be.  We have Intel, 3Com, ... insert card here
... which all have to be set to 100Mbps/Full - each card has a
different set of quirky options to pass to the module to achieve it.

I don't know if it's actually feasible (or if there is a lookup table
with all the proper options).

Comment 4 Nils O. Selåsdal 2004-02-11 10:32:39 UTC
What about atleast make redhat-config-network run mii-tool on the
interface.. ?

Comment 5 LENHOF 2007-01-24 08:50:29 UTC
You can set speed in the /etc/sysconfig/network-scripts/ifcfg-ethxxx by adding a 
like ETHTOOL_OPTS="speed 100 duplex full autoneg off" (This is on RH Entreprise
but I think it's the same for core)

For me there are some little things to be changed to make it work... perhaps it
is also needed in your case (Bugzilla Bug 224122)



Note You need to log in before you can comment on or make changes to this bug.